{
  inputs.artiq.url = "git+https://github.com/m-labs/artiq.git?ref=release-7";
  outputs = { self, artiq }:
    let
      pkgs = artiq.inputs.nixpkgs.legacyPackages.x86_64-linux;
      aqmain = artiq.packages.x86_64-linux;
    in {
      devShells.x86_64-linux.default = pkgs.mkShell {
        name = "aq6140-env";
        buildInputs = [
          (pkgs.python3.withPackages(ps: [
            aqmain.artiq
            ps.pyvisa ps.pyvisa-py ps.numpy
            ps.pyqtgraph
          ]))
        ];
        shellHook=
          ''
          export QT_PLUGIN_PATH=${pkgs.qt5.qtbase}/${pkgs.qt5.qtbase.dev.qtPluginPrefix}
          export QML2_IMPORT_PATH=${pkgs.qt5.qtbase}/${pkgs.qt5.qtbase.dev.qtQmlPrefix}
          '';
      };
    };
}
